#
# spec file for package warsow-data
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           warsow-data
Version:        2.1
Release:        lp156.6.1
Summary:        Data files for Warsow
# CC-BY-SA-4.0 assets and GPL-2.0+ other
License:        CC-BY-SA-4.0 and GPL-2.0+
Group:          Amusements/Games/3D/Shoot
Url:            https://www.warsow.gg/
Source0:        http://update.warsow.gg/mirror/warsow_21_unified.tar.gz
Source1:        %{name}-rpmlintrc
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  dos2unix
BuildRequires:  fdupes
BuildArch:      noarch

%description
Data files (audio, maps, etc.) for Warsow.

%prep
%setup -q -n warsow_21

%build
rm -rf libs/ warsow* wsw*

dos2unix docs/*.txt

%install
mkdir -p %{buildroot}/%{_datadir}/warsow/
cp -ap basewsw %{buildroot}/%{_datadir}/warsow/

%fdupes %{buildroot}/%{_datadir}/warsow/

%files
%defattr(-,root,root,-)
%doc docs/*
%{_datadir}/warsow/

%changelog
* Tue Jul 26 2016 jengelh@inai.de
- Keep %%prep stage small
* Tue Apr  5 2016 mailaender@opensuse.org
- update to version 2.1
* Fri Dec 25 2015 mailaender@opensuse.org
- update to version 2.0.1
- fix build on openSUSE 13.1
* Sun Dec 13 2015 mailaender@opensuse.org
- Update to version 2.0
  * Switched to Creative Commons license for media assets.
* Sat Nov 14 2015 avvissu@yandex.ru
- Update for 1.51: add warsow_1.51_update.tar.gz
- Build a noarch RPM
- Use %%%%{_datadir} instead of %%%%{_libdir}
* Sat May 10 2014 mailaender@opensuse.org
- update to 1.5
  * Improvement: Revamped wdm2 visuals.
  * Improvement: Improved wdm12 lighting.
  * Bugfix: added missing clips to wbomb6.
  * Improvement: upgraded Jason Padpork player model.
  * Feature: Added 5 new tracks from Warsow OST.
* Mon Dec 23 2013 mailaender@opensuse.org
- update to 1.03
- direct https://en.opensuse.org/SourceUrls
* Sun Oct 14 2012 mailaender@opensuse.org
- update to 1.02
* Thu Oct 11 2012 mailaender@opensuse.org
- update to 1.01
* Mon Aug  6 2012 nico.kruber@gmail.com
- update to 1.0
* Sun Nov 23 2008 claes.backstrom@fsfe.org
- Initial package
